Browse Source

Merge "Remove setuptools <8.0 pinning"

Jenkins 4 years ago
parent
commit
ea88e1ad12

+ 1
- 1
elements/heat-cfntools/install.d/05-heat-cfntools View File

@@ -19,7 +19,7 @@ $VENV/bin/pip install -U pip
19 19
 
20 20
 # Need setuptools>=1.0 to manage connections when
21 21
 # downloading from pypi using http_proxy and https_proxy
22
-$VENV/bin/pip install -U 'setuptools>=1.0,<8.0'
22
+$VENV/bin/pip install -U 'setuptools>=1.0'
23 23
 # bug #1293812 : Avoid easy_install triggering on pbr.
24 24
 $VENV/bin/pip install -U 'pbr>=0.6,<1.0'
25 25
 $VENV/bin/pip install -U heat-cfntools

+ 1
- 1
elements/openstack-clients/bin/install-openstack-client View File

@@ -62,7 +62,7 @@ if [ -n "$client_manifest" ]; then
62 62
 else
63 63
     # Need setuptools>=1.0 to manage connections when
64 64
     # downloading from pypi using http_proxy and https_proxy
65
-    pip install -U 'setuptools>=1.0,<8.0'
65
+    pip install -U 'setuptools>=1.0'
66 66
 
67 67
     # bug #1293812 : Avoid easy_install triggering on pbr.
68 68
     pip install -U 'pbr>=0.5.21,<1.0'

+ 1
- 1
elements/os-svc-install/bin/os-svc-install View File

@@ -35,7 +35,7 @@ function python_install() {
35 35
         # doesn't manage correctly HTTPS sockets when downloading pbr from
36 36
         # https://pypi.python.org/simple/ if using http_proxy and
37 37
         # https_proxy envvars
38
-        pip install -U 'setuptools>=1.0,<8.0'
38
+        pip install -U 'setuptools>=1.0'
39 39
 
40 40
         # bug #1293812 : Avoid easy_install triggering on pbr.
41 41
         pip install -U 'pbr>=0.5.21,<1.0'

+ 0
- 1
elements/pip-and-virtualenv/install.d/get-pip-py-source-install/01-install-pip View File

@@ -3,5 +3,4 @@
3 3
 set -eux
4 4
 
5 5
 python /tmp/get-pip.py
6
-pip install -U 'setuptools<8.0'
7 6
 pip install virtualenv

Loading…
Cancel
Save